[zeromq-dev] libzmq dylib versioning

MinRK benjaminrk at gmail.com
Thu Sep 22 22:26:40 CEST 2011


On Thu, Sep 22, 2011 at 12:59, Mikko Koppanen <mikko.koppanen at gmail.com>wrote:

> On Thu, Sep 22, 2011 at 8:44 PM, MinRK <benjaminrk at gmail.com> wrote:
> > Let's slow down - is the *ABI* actually different?  I'm still not 100%
> clear
> > on what ABI really means, even after rereading some definitions, but I do
> > know that ABI != API.
>
> Hi,
>
> please correct me if I am wrong but a program linked with zeromq 2.1
> won't work if you switch the underlying ZeroMQ library to 3.0 without
> rebuilding against 3.0. I think the biggest change here is
> zmq_(send|recv) vs zmq_(send|recv)msg.
>

That's true.  And there is not such a difference, that I know of, between
3.0 and 4.0 (yet).  So, 3.0 and 4.0 should both be 2.0.0, then?


>
>
> --
> Mikko Koppanen
> _______________________________________________
> zeromq-dev mailing list
> zeromq-dev at lists.zeromq.org
> http://lists.zeromq.org/mailman/listinfo/zeromq-dev
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.zeromq.org/pipermail/zeromq-dev/attachments/20110922/dcb1811d/attachment.htm>


More information about the zeromq-dev mailing list